# $Revision: 1.1 $, $Date: 2002/07/21 20:31:37 $
%include	/usr/lib/rpm/macros.php
%define         _class          XML
%define         _subclass       image2svg
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - Image to SVG conversion
Summary(pl):	%{_class}_%{_subclass} - Konwersja rysunkw do SVG
Name:		php-pear-%{_pearname}
Version:	0.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The class converts images, such as of the format JPEG, PNG and GIF to
a standalone SVG representation. The image is being encoded by the PHP
native encode_base64() function. You can use it to get back a complete
SVG file, which is based on a predefinded, easy adaptable template
file, or you can take the encoded file as a return value, using the
get() method. Due to the encoding by base64, the SVG files will
increase approx. 30% in size compared to the conventional image.

%description -l pl
Ta klasa konwertuje rysunki, takie formaty jak JPEG, PNG czy TIFF do
samodzielnej reprezentacji SVG. Rysunek jest kodowany przy uyciu
natywnej funkcji encode_base64() PHP. Moesz z powrotem wrci do
kompletnego pliku SVG, ktry jest oparty na predefiniowanym, atwym do
zaadaptowania pliku tymczasowym, lub moesz wzi zakodowany plik jako
warto zwrotn, uywajc do metody get(). Poprzez zakodowanie przez
base64, pliki SVG s ok. 30% wiksze ni konwencjonalne rysunki.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/tests/*
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-XML_image2svg.spec,v $
Revision 1.1  2002/07/21 20:31:37  blues
- initial release

